<?
require'../config.php';
$align='left';
$title='Разукрашка ника!';
head();
aut();
who_add(0,'enter');
if($user['posts'] <= 500) 
{
	echo 'К сожалению но вам необходимо набрать 500 постов что бы разукрасить ник!';
	echo gb.'<a href="'.H.'my/index">Личный кабинет</a><br/>'.div;
	echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
	foot();
}
if(isset($_GET['ok'])){echo 'Данные успешно сохранены!';
if ($mod)echo gb.'<a href="'.H.'my/privat">Ваши письма</a><br/>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
foot(); exit;
}
?>
Не сложно догадаться, что номер цвета выбранный вами нужно ввести  напротив буквы вашего ника после нажать кнопку "Применить"
<br /><br />
<TABLE> 
	<TR> 
		<TD bgcolor="#000000"><font color="#FFFFFF">0</font></TD> 
		<TD bgcolor="#FF0000">1</TD> 
		<TD bgcolor="#ffa500">2</TD> 
		<TD bgcolor="#ffff00">3</TD> 
		<TD bgcolor="#00ff00">4</TD> 
		<TD bgcolor="#42aaff">5</TD> 
		<TD bgcolor="#0000ff">6</TD> 
		<TD bgcolor="#8b00ff">7</TD> 
		<TD bgcolor="#00CCFF">8</TD> 
		<TD bgcolor="#00CCFF">9</TD> 
	</TR> 
</TABLE>
<?php
$arr = explode('::',$user['colornick']);
$a = $user['user'];
$array = mb_strlen($user['user'], 'utf-8');
echo '<form action="p?" method="post">';
echo '<TABLE>'; 
for($i=0;$i<=$array-1;$i++)
{
	if(!isset($arr[$i+1]))
	{
		echo '<TR><TD><b>'.mb_substr( $a, $i, 1, 'UTF-8' ).'</b></TD> <TD><input name="a'.$i.'" size="1" maxlength="1" value="0"/><= номер цвета</TD></TR>';
	}else
	{
		$s++;
		echo '<TR><TD><b>'.mb_substr( $a, $i, 1, 'UTF-8' ).'<b/></TD> <TD><input name="a'.$i.'" size="1" maxlength="1" value="'.$arr[$s].'"/><= номер цвета</TD></TR>';
	}
}
echo '</TABLE>';
echo '<input type="submit" name="submit" class="ibutton" value="Применить"/></form><br />';


if(isset($_POST['submit'])){
	for($i=0;$i<=$array-1;$i++)
	{
		if($_POST['a'.$i] == 0 or $_POST['a'.$i] < 0 or $_POST['a'.$i] > 9) {$color = '#000000'; $col = 0;}
		elseif($_POST['a'.$i] == 1) {$color = '#FF0000'; $col = 1;}
		elseif($_POST['a'.$i] == 2) {$color = '#ffa500'; $col = 2;}
		elseif($_POST['a'.$i] == 3) {$color = '#ffff00'; $col = 3;}
		elseif($_POST['a'.$i] == 4) {$color = '#00ff00'; $col = 4;}
		elseif($_POST['a'.$i] == 5) {$color = '#42aaff'; $col = 5;}
		elseif($_POST['a'.$i] == 6) {$color = '#0000ff'; $col = 6;}
		elseif($_POST['a'.$i] == 7) {$color = '#8b00ff'; $col = 7;}
		elseif($_POST['a'.$i] == 8) {$color = '#00CCFF'; $col = 8;}
		elseif($_POST['a'.$i] == 9) {$color = '#00CCFF'; $col = 9;}
		$color_nick .= '<b><font color="'.$color.'">'.$a[$i].'</font></b>';
		$int .= '::'.$col; 
	}

	$db->sql_query ("UPDATE `users` SET `colornick` = '".$int."',`color_nik` = '1400' WHERE `id` ='".$user['id']."'");
	header ('Location: p?');exit;
}
echo nik($user['id']);

if ($mod)echo gb.'<a href="'.H.'my/privat">Ваши письма</a><br/>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
foot();
?>